<style>
  .form-show-table {
    width: 100%;
  }
  .form-show-label {
    width: 30%;
    font-weight: bold;
    color: #666;
  }
</style>

<table class="form-show-table">
  <tr>
    <td class="form-show-label"><%= Rca.human_attribute_name :reference %></td>
    <td class="form-show-data"><%= @rca.reference %></td>
  </tr>
  <tr>
    <td class="form-show-label"><%= Rca.human_attribute_name :title %></td>
    <td class="form-show-data"><%= @rca.title %></td>
  </tr>

  <tr>
    <td class="form-show-label"><%= Rca.human_attribute_name :created_at %></td>
    <td class="form-show-data"><%= @rca.created_at&.to_date %></td>
  </tr>

  <tr>
    <td class="form-show-label"><%= Rca.human_attribute_name :description %></td>
    <td class="form-show-data"><%= @rca.description %></td>
  </tr>

  <tr>
    <td class="form-show-label"><%= Rca.human_attribute_name :methodology %></td>
    <td class="form-show-data"><%= @rca.methodology.name %></td>
  </tr>
</table>

<% @rca.methodology.step_info.step_tools_with_desc.each do |step_tool| %>
  <% next if @export_pdf && (!export_values['rca'] || !export_values['rca'][step_tool.id.to_s]) %>
  <div class="admin-col">
    <div class="admin-col-title admin-col-title-grey">
      <%= check_box_tag "export_values[rca][#{step_tool.id.to_s}]", 'export', export_values['rca'][step_tool.id.to_s], class: 'export_values_step_tool', 'attr-step-tool-id': step_tool.id unless @export_pdf%>
      <%= (step_tool.name||step_tool.tool.name) %>
    </div>
    <div class="admin-col-content" id='<%= "report_step_tool_#{step_tool.id}" %>'  style='<%= export_values['rca'][step_tool.id.to_s] ? "" : "display: none;" %>'>
      <table class="form-show-table">
        <% step_tool.tool_custom_fields.each do |tool_custom_field| %>
          <tr>
            <td class="form-show-label"><%= tool_custom_field.custom_field_desc.name %></td>
            <td class="form-show-data"><%= show_custom_field_inline(@rca.custom_field, tool_custom_field.custom_field_desc) %></td>
          </tr>
        <% end %>
      </table>
    </div>
  </div>
<% end %>

